%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Convert-ASN1
Version:        0.18
Release:        0.fdr.4.rh90
Epoch:          0
Summary:        ASN.1 encode/decode library for Perl

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Convert-ASN1/
Source0:     http://www.cpan.org/authors/id/G/GB/GBARR/Convert-ASN1-0.18.tar.gz
Patch0:         %{name}-x509decode.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# Due to patching, signature checking in make test would fail
BuildConflicts: perl(Module::Signature)

%description
Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.


%prep
%setup -q -n Convert-ASN1-%{version}
%patch0 -p0


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog OldChanges README SIGNATURE examples/
%{perl_vendorlib}/Convert
%{_mandir}/man3/*.3*


%changelog
* Mon May 17 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.18-0.fdr.4
- Avoid creation of the perllocal.pod file (make pure_install).
- Test::More as building requirement (for perl <= 5.6.1)

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.18-0.fdr.3
- Require perl(:MODULE_COMPAT_*).
